<ng-container *ngIf="!loggedIn; else favoritesBlock">
  <a mat-list-item routerLink="/login">
    <mat-icon matListIcon>info</mat-icon>Sign in to get your favorites
  </a>
</ng-container>
<ng-template #favoritesBlock>
  <ng-container *ngIf="heroes && heroes.length > 0">
    <a mat-list-item *ngFor="let hero of heroes" routerLink="/heroes/{{hero.id}}" routerLinkActive="active">
      <img matListAvatar src="{{getThumbnail(hero)}}">
      <h4 matLine>{{hero.name}}</h4>
    </a>
    <a mat-list-item routerLink="/heroes/favorite" routerLinkActive="active">
      <mat-icon matListIcon>star</mat-icon>
      All my favorite heroes
    </a>
  </ng-container>
  <ng-container *ngIf="!heroes || heroes.length == 0">
    <mat-list-item>
      <mat-icon matListIcon>info</mat-icon>No favorite heroes yet
    </mat-list-item>
  </ng-container>
</ng-template>
